Dies ist iap.info, hergestellt von Makeinfo Version 4.7 aus
/usr2s/users/huber/extest/Progs/ex016/iap/texi/iap.texi.

# Anleitung zum Auswerteprogramm IAP #
**************************************

*(Auswertung von Ion-Ion-Pulsed-Beam-Spektren (Labor 016))*

29.Apr.1992 K. Huber, Strahlenzentrum Univ. Gießen
Version 21.Jul.2004

1 Über diese Anleitung
**********************

Diese Anleitung zum IAP-Auswerteprogramm steht in verschiedenen
Formaten zur Verfügung. Die entsprechenden Files finden Sie auf dem
Servix unter /usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     iap.txt     Text-Format, kann z.B. mit `a2ps' in handlichem Format
                 gedruckt werden.
     iap.dvi     DVI-Format, kann z.B. mit `dvips' auf einem
                 Postscript-Drucker gedruckt werden oder mit `xdvi' auf
                 einem X-Windows Bildschirm dargestellt werden.
     iap.html    HTML-Format, kann mit jedem HTML-Browser (z.B.
                 `netscape') gelesen werden.
     iap.info    INFO-Format, kann mit dem `GNU-Info-Browser' (`info -f
                 iap.info') und `GNU-emacs' gelesen werden.  So wird der
                 Info-Browser bedient (Start mit Tastenfolge TAB, ENTER):
                 info.  (Zurück mit L, L, ...).
     iap.pdf     PDF-Format, mit dem `Acrobat-Reader' zu lesen.

2 Funktion von IAP
******************

2.1 Überblick
=============

Für das Ion-Ion-Experiment existieren folgende
Datenerfassungsprogramme:
[(...) = noch nicht auf VME-System portiert]
  (IBP  Ion-Beam-Profile - neuer Strahl-Analysierer (Timo-mat))
   IIF  Ion-Ion Formfactor - alter Strahl-Analysierer
   IIC  Ion-Ion Coincidence
   IIP  Ion-Ion Pulsed Beam
   LIC  Ion-Ion Coincidence List Mode
  (LIP  Ion-Ion Pulsed Beam List Mode)
   IIM  Ion-Ion Position-Matrix

Sowie die Auswerteprogramme:
   IAC  für IIC-Spektren
   IAP  für IIP-Spektren
   LAC  für LIC-List-Mode-Daten
  (LAP  für LIP-List-Mode-Daten)

   Das IAP-Programm berechnet aus ein bis neun Formfaktor-Messungen
(IIF- bzw. IBP-Messprogramm) und einer Ion-Ion-Pulsed-Beam-Messung
(IIP-Messprogramm) Wirkungsquerschnitte, die gelegentlich auch mal
negativ werden können, wenn die programmierbare Totzeit nicht richtig
eingestellt ist (s.h. IIP-Anleitung).

   Anlässlich eines Umbaus des Experimentes (Aug. 94) auf einen neuen
Strahlanalysierer (Timo-Mat) wurde das IIF Messprogramm durch das IBP
Messprogramm ersetzt und der Realtime-Takt von 1Hz auf 10Hz erhöht. IAP
wurde entsprechend geändert, so dass es sowohl die alten IIP-Spektren
(1Hz Takt) als auch die neuen (10Hz Takt) zusammen mit IIF- oder
IBP-Formfaktorspektren verarbeiten kann.  Als IBP-Spektren werden nur
vertikale Scans mit der Schlitz-Option akzeptiert.  Ein Mix von IIF-
und IBP-Spektren ist jedoch nicht möglich.
_Hinweis:_
Inzwischen (seit 2000) ist der neue Strahlanalysierer wegen mechanischer
Mängel wieder durch den alten ersetzt worden, und die
Formfaktorspektren werden jetzt wieder mit dem IIF-Programm gemessen.

   Auf allen Plattformen können jetzt sowohl die alten, mit
PDP11-Systemen gemessenen, als auch die neuen, mit VME-Systemen
gemessenen Spektren, trotz unterschiedlicher
Floatingpoint-Darstellungen, ausgewertet werden.

   Das IAP-Programm kann von dem IIP-Messprogramm gestartet werden
unter dem Menü-Punkt "Analyse Spectrum". Es wird dann die gerade
laufende IIP-Messung online ausgewertet. Der Start von IAP erfolgt in
diesem Fall üblicherweise unter Umgehung des Hauptmenüs. Die Rückkehr
ins Hauptmenü von IAP kann jedoch durch ^Z erzwungen werden. Dort kann
unter dem Menüpunkt "Set Configuration" ein anderes Verhalten beim
Start durch IIP eingestellt werden (see Startup mode.).

IAP ist zur Zeit lauffähig auf folgenden Plattformen:
   * VME Experiment-Rechner-System mit VxWorks Betriebssystem

   * DS5000 Workstations mit Ultrix Betriebssystem (Tutnix, Kannix,
     Hatnix)

   * AlphaServer mit True-64-Unix Betriebssystem (Servix)

   * PC mit Linux Betriebssystem (Atomix)

   Als Bildschirm wird ein  *VT240/330/340* Terminal, ein Unix-Host mit
*xterm* oder *dxterm* oder ein PC mit *TeraTerm* benötigt.

2.2 Wirkungsquerschnittsberechnung
==================================

Den Formalismus zur Berechnung des Wirkungsquerschnittes kann man in der
Diplomarbeit von Stephan Krüdener (1988) nachlesen.

   _Fehlerrechnungen:_
(siehe auch Diplomarbeit von Stephan Krüdener (1988))
Alle Fehlerangaben sind Standardabweichungen (68% Konfidenz)
Für den mittleren Formfaktor wird ein statistischer Fehler aus der
Streuung der einzelnen Formfaktoren um den Mittelwert
(FehlerquadratSumme / Anzahl der Freiheitsgrade) berechnet. D.h. es
werden mindestens zwei Formfaktormessung für die Auswertung benötigt,
ansonsten werden alle daraus folgenden Fehlerangaben mit <na>
gekennzeichnet.

   Für die Reaktionsrate werden ein statistischer sowie zwei
systematische Fehler errechnet. Der Totzeitfehler berücksichtigt die
apparative Ungenauigkeit der programmierbaren Totzeit. Der
Überlauffehler ist eine Abschätzung der maximalen möglichen Auswirkung
von Ereignisverlusten im IIP-Zähler auf die Reaktionsrate. Dabei wird
angenommen, dass alle registrierten Verluste bei der Reaktionsrate
aufgetreten sind.  Dieser Wert dient vorwiegend der
Entscheidungsfindung, ob eine Messung trotz Ereignisverlusten noch
brauchbar ist. Solche Verluste können bei zu hoher Ereignisrate
auftreten.

   Für den kinematischen Faktor wird durch Fehlerfortplanzung ein
statistischer und ein systematischer Fehler errechnet. Die verwendeten
Eingangsfehler sind zur Zeit:
(siehe Dipl. Arbeit Stephan Krüdener 1988)
    0.015   rel. stat. Fehler der Geschw. Schneller Strahl
    0.010   rel. stat. Fehler der Geschw. Langsamer Strahl
    0.025   rel. stat. Fehler des Wechselwirkungs-Winkels
    0.015   rel. syst. Fehler der Geschw. Schneller Strahl
    0.015   rel. syst. Fehler der Geschw. Langsamer Strahl
    0.000   rel. syst. Fehler des Wechselwirkungs-Winkels

   Die Wirkungsquerschnittsberechnung ist nur vertrauenswürdig, wenn die
integrierten vier Spektrenbereiche einen im wesentlichen horizontalen
Verlauf haben. Deshalb werden dazu zwei Tests gerechnet. Beim "Schiefen
Dächer Test" wird jeweils nur die erste Hälfte des Bereichs des
schnellen bzw. langsamen Strahls zur Berechnung der Reaktionsrate
herangezogen und das Ergebnis mit der regulären Reaktionsrate
verglichen. Als zweiter Test wird für jeden Bereich das reduzierte
Chi-square ausgegeben. Werte deutlich größer als 1 deuten auf schiefe
Dächer hin. Die Ergebnisse dieser Tests werden in folgenden
Fehlerrechnungen nicht weiterverwendet.

   Der totale statistische Fehler enthält Beiträge vom Formfaktor, von
der Reaktionsrate und dem kinematischen Faktor. Wenn einer dieser
Beiträge nicht zur Verfügung steht, erfolgt die Ausgabe von <na>.

   Der totale systematische Fehler enthält nur einen Beitrag vom
Reaktionsraten-Überlauffehler, vom  Reaktionsraten-Totzeitfehler und dem
kinematischen Faktor. Wenn dieser Beitrag nicht zur Verfügung steht,
erfolgt die Ausgabe von <na>.

   In der Fehlerangabe für den Wirkungsquerschnitt ist nur der totale
statistischen Fehler enthalten.

   *Änderungen gegenüber der alten PDP11-Version von IAP:*
Neu hinzugekommen ist der statistische Fehler des Formfaktors.

   Die Tastverhältnisse des schnellen und langsamen Strahls werden bei
Spektren, die mit dem neuen VME/VxWorks IIP-Messprogramm aufgenommen
sind, aus deren Header übernommen. Bei der Auswertung von
PDP11-IIP-Spektren wird weiterhin ein Tastverhältnis von 0.5 angenommen.

   Der Fehler der programmierbaren Totzeit wird für VME/VxWorks-Spektren
aus dem Header übernommen. Bei der Auswertung von PDP11-IIP-Spektren
wird wie früher 15ns als Fehler angenommen.

   Korrigiert ist ein Fehler bei der Abschätzung der Wirkung von
"schiefen Dächern". Es wurde beim schnellen und langsamen Strahl statt
der halben Intervallbreite ein Kanal zuviel aufsummiert, was
fälschlicherweise zur Anzeige von schiefen Dächern führte.

   Für den Totzeitfehler wurde in der PDP11-Version nicht die übliche
Fehlerfortpflanzung verwendet sondern mit + und - der
Totzeitunsicherheit alles komplett durchgerechnet und die Hälfte der
Differenz zwischen beiden Ergebnissen als Fehler genommen. Dies ist
vielleicht genauer aber warum dieser Aufwand? Auf übliche
Fehlerfortpflanzung umgestellt.

   Beim statistischen Fehler der Reaktionsrate war die
Fehlerfortpflanzung falsch gerechnet. Die zählratenabhängige
Totzeitkorrektur war nicht berücksichtigt, was jedoch nur bei hohen
Totzeitkorrekturen Auswirkungen hat. Korrigiert.

   Der statistische Fehler des kinematischen Faktors enthielt als
Eingangswert Fehler(Winkel)/sin(Winkel). In der Annahme, dass wie üblich
Fehler(Winkel)/Winkel angeliefert wird, die Rechnung entsprechend
geändert. Beim aktuellen Winkel von 17.5 Grad ist der Unterschied jedoch
nur winzige 1.55% * 0.025 = 0.04%-Punkte für den Fehler des WW-Winkels!
(Bei den früheren 45 Grad: 10% * 0.025 = 0.25%-Punkte)

2.3 Messdatenformat
===================

*Struktur der IIP-Daten-Files*
Die von IAP zu verarbeitenden Spektren müssen dem
Strahlenzentrumsstandard entsprechen d.h.:
   * Sie beginnen mit einem Header von 512 Bytes Länge, der am Anfang
     einen standardisierten Teil enthält und anschließend noch
     eine Reihe weiterer, Messprogramm spezifischer Daten 	(z.B.
     Lifetime-, Realtime-Zähler usw.).

   * Die Kanäle der Spektren sind als INTEGER*4 (BYTES = 4) deklariert,
     d.h. jeder Kanal kann ca. 4*10^9 Ereignisse aufnehmen.

      ---
       |
       | Header, 512 Bytes
       |
      ---
       |
       | Spektrum, (256 * 4) Bytes
       |
      ---

   *Struktur der Header Daten:*
#define lIDHDR 8
#define lHDLEN 1
#define lEXPMNT 6
#define lIDPRG 8
#define lSTDAT 9
#define lSTTIM 8
#define lSPDAT 9
#define lSPTIM 8
#define lSPENAM 8
#define lSPTYPE 4
#define lROWS 6
#define lCOLS 6
#define lBYTES 1
#define lHDFREE 4
#define lRESRV 38
#define lLTXT 4
#define lTEXT 80
Plattformabhängige Definitionen:
UINT2: 2 Bytes "unsigned int"
UINT4: 4 Bytes "unsigned int"

typedef union {
    struct {
        struct {
            char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
            char hdlen[lHDLEN];   /* Length of header: "1" */
            char expmnt[lEXPMNT]; /* Experiment */
            char idprg[lIDPRG];   /* ID of generating Program: "IIP     " */
            char stdat[lSTDAT];   /* Date of start */
            char sttim[lSTTIM];   /* Time of start */
            char spdat[lSPDAT];   /* Date of stop */
            char sptim[lSPTIM];   /* Time of stop */
            char spenam[lSPENAM]; /* Name of spectrum */
            char sptype[lSPTYPE]; /* Type of spectrum: "IIPA" */
            char rows[lROWS];     /* Number of rows: "     1" */
            char cols[lCOLS];     /* Channels/row: "   256" */
            char bytes[lBYTES];   /* Bytes/channel: "4" */
            char hdfree[lHDFREE]; /* First free byte in header (0,...) */
            char resrv[lRESRV];   /* Reserved */
            char ltxt[lLTXT];     /* Length of text: "80" */
            char text[lTEXT];     /* Text */
        } stddat;   /* Standard data of header */
        struct {
            UINT2 status;         /* Status of spectrum */
            UINT4 clkcnt;         /* Realtime from Routing */
            UINT4 rltcnt;         /* Realtime from CPU */
            UINT4 lftcnt;         /* Lifetime */
            UINT4 ct1cnt;         /* IIP data */
            UINT4 ct2cnt;         /* IIP deadtime losses */
            UINT4 outcnt;         /* Data out of range */
            UINT4 seqcnt;         /* Sequence errors */
            UINT4 rejcnt;         /* Rejected data */
            UINT4 fulcnt;         /* Fifo full counter */
            UINT4 errcnt;         /* Data error counter */
            UINT4 runtim;         /* Realtime to run experiment [s] */
            UINT2 hdatid;         /* Data identification */
            UINT4 ifast;          /* Integrated current fast beam */
            UINT4 islow;          /* Integrated current slow beam */
            REAL8 ifis;           /* Integrated (ifast * islow) */
            REAL4 expar[8];       /* Extended IIP parameters */
                                  /* Fast/slow beam */
                                  /* 0/4 Acc. voltage */
                                  /* 1/5 Ion mass */
                                  /* 2/6 Ion charge */
                                  /* 3/7 Meass. range of current */
            REAL4 fsduty[2];      /* duty cycles fast/slow beam */
            UINT2 pdtime;         /* Programmable deadtime */
            UINT2 pdterr;         /* Progr. deadtime error */
            UINT2 pdstat;         /* Deadtimer status */
        } spcdat;   /* IIP special data of header */
    } hdata;        /* Header data */
    struct {
        char h512[512];         /* Fill 512 bytes block */
    } htotal;        /* Total header */
} HEADER;

   Für die alten, mit dem PDP11-System gemessenen Spektren, ist
folgendes zu beachten:
Anlässlich eines Umbaus des Experimentes (Aug. 94) wurde der
Realtime-Takt von 1Hz auf 10Hz erhöht. IIP wurde dahingegen geändert,
dass es nach wie vor bei SHOW HEADER die Realtime in Sekunden ausgibt
und die gemessenen Spektren sich den Auswerteprogrammen durch den
Parameter sptype='IIPA' als Spektrentyp mit 0.1s Realtime-Basis zu
erkennen geben.

3 Bedienung von IAP
*******************

Das Programm ist weitgehend selbsterklärend. Die notwendigen Eingaben
werden in Dialogform angefordert. Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann. Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden
können. Die graphischen Bildschirmausgaben werden durch
Funktionstasteneingaben gesteuert.

3.1 IAP Top-Menü
================

3.1.1 Exit IAP
--------------

Verlassen des Programmes.

3.1.2 Show header
-----------------

Mit diesem Aufruf wird der Header des IIP-Spektrums ausgegeben, so wie
man dies auch vom IIP-Messprogramm gewohnt ist:

   * *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   * *Title*
     Titelzeile zur Beschreibung des Experimentes.

   * *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   * *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war.
     Diese Zeit wird aus dem 1/10 Sekundentakt der Taktkarte abgeleitet.
     Bei Stop durch Messzeitvorwahl ist sie exakt, bei manuellem Stop
     kann sie bis zu 0.1s zu klein sein.

   * *IIP data*
     Anzahl der über den IIP-Zähler verarbeiteten Daten.

   * *IIP deadtime losses*
     Anzahl der Totzeitverluste im IIP-Zähler.

   * *IIP data out of range*
     Anzahl der IIP-Daten, die außerhalb der Spektrumsgrenzen lagen und
     deshalb nicht verarbeitet wurden.

   * *Fast beam integration*
     Integration des schnellen Strahls.

   * *Slow beam integration*
     Integration des langsamen Strahls.

   * *Fast * slow beam integration*
     Integration des Produktes von schnellem und langsamem Strahl.

   * *Data sequence errors*
     Anzahl der Fälle, in denen das Triplett: Sekundentakt, schneller
     Strahl, langsamer Strahl nicht in Ordnung war.

   * *Rejected data*
     Anzahl der Daten, die aufgrund ihrer Datenkennung ausgesondert
     wurden, weil sie mit dem Experiment in keinem Zusammenhang stehen.
     Entweder wurde beim Start die Datenkennung falsch angegeben, oder
     es ist eine zusätzliche Datenquelle unbeabsichtigt mitgelaufen.

   * *Data errors*
     Anzahl der Daten, die durch Hardware-Fehler oder -Störungen
     verstümmelt übertragen wurden.

Auf der folgenden Seite werden die Parameter für schnellen und langsamen
Strahl und die Totzeitparameter ausgegeben:
   * *Acc. voltage [kV]*
     Beschleunigungsspannungen.

   * *Ion mass [amu]*
     Ionenmassen.

   * *Ion charge [e]*
     Ionenladungen.

   * *Range of current*
     Messbereiche für die Ionenströme.

   * *Duty cycle beam*
     Tastverhältnisse der Ionenströme.

   * *Programmable deadtime*
     Art, Größe und Genauigkeit der programmierten Totzeit.

3.1.3 Analyse spectrum
----------------------

Einstieg in die Darstellungs- und
Wirkungsquerschnittsberechnungs-Funktionen:
  1. Graphische Darstellung des Spektrums mit Vermessungsmöglichkeit
     	(see Graphische Ausgabe von Spektren.)

  2. Graphische Darstellung des Spektrums mit
     Wirkungsquerschnittsberechnung
     	(see Auswertung von Spektren.)
        IAP startet stets mit Funktion 2. Mit ^D kann zur Funktion 1
gewechselt werden und mit ^I wieder zurück.
Mit ^H (Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.1.4 Load spectrum
-------------------

Laden eines neuen IIP-Spektrums zur Auswertung.  Die Angabe des
Dateinamens muss im File-Format des Host-Rechners erfolgen, z.B.
~/ex_home/ex_data/test.spe für einen Unix-Host. Tilde (~) und $HOME
werden als Home-Directory des zugehörigen Accounts verstanden.

3.1.5 Convert spectrum to ASCII
-------------------------------

Das Spektrum wird mit oder ohne Header und mit oder ohne Kanalnummern in
ASCII Form auf einen File geschrieben.

3.1.6 Execute shell command
---------------------------

Ausführung von Shell-Kommandos. Unter VxWorks (VME-Systeme) steht nur
eine kleine Auswahl von Kommandos zur Verfügung.

3.1.7 Set configuration
-----------------------

Führt zum IAP Konfigurations-Menü.  Unter diesem Menüpunkt erfolgen
alle notwendigen Anpassungen des Programmes.
(see IAP Konfigurations-Menü.)

3.1.8 Help
----------

Bringt diesen Info-Text auf den Bildschirm.

3.2 IAP Konfigurations-Menü
===========================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes. Beim allerersten Start des Programmes wird dieser
Menüpunkt stets automatisch aufgerufen. Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.2.1 OK
--------

Rückkehr zum Top-Menü.

3.2.2 Terminals and printers
----------------------------

Dieser Menüpunkt enthält ein Untermenü zum Auswählen eines passenden
Terminals und Druckers bzw. zur Definition von solchen:
    Select terminal
    Select printer
    Define terminal
    Define printer

   Sollte keines der Terminals oder der Drucker passend sein, so kann
eines der vorhandenen Geräte angepasst werden. Dazu wird es zuerst
selektiert und dann neu definiert:

   Printer-Definition für einen normalen Netzwerkdrucker
Comment: LaserJet in 202 (hplaser)
Command: lpr -Phplaser iap.tmp; rm iap.tmp
File   : iap.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für einen lokal am VME-Rechner angeschlossenen
Drucker
Comment: Printer at MVME1xx Port 2
Command:
File   : /tyCo/1
Select language (HPGL)
Select device type (File)

   Printer-Definition für einen an einem PC angeschlossenen Drucker
Comment: Printer at <Server>
Command: ex_home/ex_prog/PC-print <Server> <Service> <Passwort> iap.tmp
File   : iap.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für die Erzeugung von Files ohne zu drucken.  Um
nicht jedesmal einen neuen File-Namen definieren zu müssen, können
diese in gewissen Grenzen automatisch generiert werden. Dazu können bei
der Druckerdefinition im File-Namen folgende Sonderzeichen verwendet
werden:
*  wird ersetzt durch den Namen des Spektrums
$  wird ersetzt durch den "Graphic Mode" (z.B. HPGL)
#  wird ersetzt durch eine fortlaufende Nummer
   (Consecutive print number), die bei der Auswahl eines
   Printers neu gesetzt werden kann.

Comment: ASCII files with unique names
Command:
File   : *.$.#
Select language (ASCII)
Select device type (FILE)

3.2.3 Startup mode
------------------

Einstellmöglichkeit zur Umgehung des Hauptmenüs beim Start durch ein
anderes Programm. Das Hauptmenü kann dann nur durch Eingabe von ^Z in
einer der graphischen Funktionen erreicht werden.

3.2.4 Message mode
------------------

Print verbose messages:
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

   Delay messages:
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen werden kann. Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.) auf dem Bildschirm
angegeben werden. Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

3.3 Graphische Ausgabe von Spektren
===================================

Das Spektrum kann in vielfältiger Weise graphisch dargestellt und
gedruckt werden. Mit einem Marker kann es vermessen werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von IAP,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^I IAP Analysis               -Wechsel zur Wirkungsquerschnittsberechnung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des dargestellten Spektrums,
^T Not available in this context  jedoch nur wenn IAP durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display with fit to marker
                              -neuer Bildaufbau, so dass Marker sichbar ist.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
I  Input                      -numerische Eingabemöglichkeit für
                                  einige Darstellungsparameter.
                                  X-OFFSET = X-Nullpunktsverschiebung
                                  LENGTH = Länge des dargestellten Ausschnitts
                                  Y-OFFSET = Y-Nullpunktsverschiebung (s.h. Y)
1... Number of spectrum, end with SPACE
                              -Auswahl eines Spektrums (Zeile) einer Matrix
                                  durch Angabe seiner Nummer 1,2....
                                  Ist die Eingabe kürzer als die max.
                                  mögliche, dann mit <SPACE> abschließen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
<Cursor left>  Shift marker left
<Cursor down>  Shift marker fast left
                              -Linksschieben des Markers, maximal bis zum
                                  linken Nachbarn.
<Cursor right>  Shift marker right
<Cursor up>  Shift marker fast right
                              -Rechtsschieben des Markers, maximal bis zum
                                  rechten Nachbarn.
<  Shift marker fast left     -Falls die verwendete Terminalemulation
>  Shift marker fast right        Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.4 Auswertung von Spektren
===========================

Eine IIP-Messung besteht aus vier Messphasen (s.h. IIP-Anleitung), in
denen die auswertbaren Bereiche mit vier mal zwei Markern gekennzeichnet
werden. Die Marker können nur genau auf einen Kanal des Spektrums
positioniert werden und nicht dazwischen (wie in der alten
PDP11-Version). Benachbarte Marker können sich nicht überkreuzen, und
behalten einen Mindestabstand von 2 Kanälen.
Die Integrationen erfolgen einschließlich der Marker-Positionen.

   Beim Start der Auswertung werden zunächst numerisch die Positionen
der 8 Integrationsgrenzen angefordert. Als Vorbelegung werden die Werte
aus einer vorangegangenen Auswertung oder, falls vorhanden, die im
IIP-Spektrum (mit Kommando MS) abgespeicherten Grenzen angeboten.
Anschließend wird das Spektrum graphisch so am Bildschirm dargestellt,
dass alle Integrationsgrenzen zu sehen sind, falls sie nicht außerhalb
des Spektrums liegen. Bildausschnitt und Integrationsgrenzen können
danach noch beliebig verändert werden.

   Zur graphischen Markereingabe und Starten der
Wirkungsquerschnitts-Berechnung stehen folgende Kommandos zur
Verfügung, die auch mit ^H (Control H) online gelistet werden können:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von IAP,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Standard display           -Wechsel zur Standard-Spektrendarstellung
                                  mit Vermessungsmoeglichkeit.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des IIP Spektrums,
^T Not available in this context  jedoch nur wenn IAP durch das Messprogramm
                                  IIP gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^I Short results on terminal  -schreibt das WQ-Ergebnis in das Spektrum
                                  auf dem Bildschirm.
^F Full results on terminal   -Protokolliert ausführlich die WQ-Rechnung
                                  auf eigener Seite auf dem Bildschirm.
^P Print screen               -druckt den Bildschirminhalt,
                                  also Spektrum oder WQ-Ergebnis.
^R Refresh display with fit to markers
                              -neuer Bildaufbau, so dass alle Marker sichtbar sind.
SP Refresh display            -neuer Bildaufbau für Spektrum, bzw.
                                  neue WQ-Rechnung nach ^F.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2
C  Compress X                 -Stauchen der X-Achse um den Faktor 2
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
I  Input                      -numerische Eingabemöglichkeit für die
                                  Integrationsgrenzen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
M1...M8 Select marker 1...8   -Die Markerpositionierungseingaben wirken nur
                                  auf den gerade aktiven Marker. Mit diesem
                                  Kommando wird einer der acht Marker (von
                                  links gezählt) zum aktiven Marker erklärt.
                                  Achtung, mehrere Marker können an der glei-
                                  chen Position übereinanderliegen.
M< Select next marker left    -Marker links vom aktiven Marker wird zum neuen
                                  aktiven Marker.
M> Select next marker right   -Marker rechts vom aktiven Marker wird zum
                                  neuen aktiven Marker.
MM Same as M>                 -Wie M>
<Cursor left>  Shift current marker left
<Cursor down>  Shift current marker fast left
                              -Linksschieben des aktiven Markers, maximal
                                  bis zum linken Nachbarn.
<Cursor right>  Shift current marker right
<Cursor up>  Shift current marker fast right
                              -Rechtsschieben des aktiven Markers, maximal
                                  bis zum rechten Nachbarn.
 <  Shift current marker fast left
 >  Shift current marker fast right
                              -Falls die verwendete Terminalemulation
                                  Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
MS  Save current marker positions to spectrum
                              -Die aktuellen Markerpositionen werden im
                                  Header des Spektrums abgespeichert und
                                  stehen bei einem erneuten Laden des
                                  Spektrums durch IAP wieder zu Verfügung.
T  Flags on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

   *Achtung:*
Falls die Spektrenanalyse auf eine laufende Messung erfolgt, darf es
nicht verwundern, wenn man bei jeder Integration ein neues Ergebnis
erhält, auch wenn der Bildschirm immer das gleiche Bild zeigt, weil die
Darstellung nicht erneuert wurde!